Bug 1675045 - golang-googlecode-tools: FTBFS in Fedora rawhide/f30
Summary: golang-googlecode-tools: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-googlecode-tools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vincent Batts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 18:37 UTC by Fedora Release Engineering
Modified: 2019-03-03 15:13 UTC (History)
7 users (show)

Fixed In Version: 26.20190219git9394956
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-03 15:13:19 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 18:37 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 18:37 UTC, Fedora Release Engineering
no flags Details
state.log (757 bytes, text/plain)
2019-02-11 18:37 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 18:37:10 UTC
golang-googlecode-tools failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32397463


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix golang-googlecode-tools at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
golang-googlecode-tools will be orphaned. Before branching of Fedora 31,
golang-googlecode-tools will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 18:37:13 UTC
Created attachment 1530347 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 18:37:15 UTC
Created attachment 1530348 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 18:37:16 UTC
Created attachment 1530349 [details]
state.log

Comment 4 Jakub Čajka 2019-02-13 19:10:41 UTC
Caused by crash in the tests on ppc64le:
+ go test -buildmode pie -compiler gc -ldflags '-extldflags '\''-Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld '\'''
unexpected fault address 0x363e0
fatal error: fault
[signal SIGSEGV: segmentation violation code=0x1 addr=0x363e0 pc=0x1345d42d8]
goroutine 20 [running]:
runtime.throw(0x13460e331, 0x5)
	/usr/lib/golang/src/runtime/panic.go:617 +0x68 fp=0xc0000db280 sp=0xc0000db240 pc=0x13438e068
runtime.sigpanic()
	/usr/lib/golang/src/runtime/signal_unix.go:397 +0x464 fp=0xc0000db2c0 sp=0xc0000db280 pc=0x1343a66c4
golang.org/x/tools/container/intsets.popcountTable(...)
	/builddir/build/BUILD/tools-ce871d178848e3eea1e8795e5cfb74053dde4bb9/_build/src/golang.org/x/tools/container/intsets/util.go:32
golang.org/x/tools/container/intsets.popcount(...)
	/builddir/build/BUILD/tools-ce871d178848e3eea1e8795e5cfb74053dde4bb9/_build/src/golang.org/x/tools/container/intsets/popcnt_generic.go:32
golang.org/x/tools/container/intsets.(*block).len(0xc0001b8d38, 0xc0001b8d38)
	/builddir/build/BUILD/tools-ce871d178848e3eea1e8795e5cfb74053dde4bb9/_build/src/golang.org/x/tools/container/intsets/sparse.go:137 +0x68 fp=0xc0000db320 sp=0xc0000db2e0 pc=0x1345d42d8
golang.org/x/tools/container/intsets.(*Sparse).Len(0xc0001b8d38, 0x0)
	/builddir/build/BUILD/tools-ce871d178848e3eea1e8795e5cfb74053dde4bb9/_build/src/golang.org/x/tools/container/intsets/sparse.go:282 +0xb4 fp=0xc0000db368 sp=0xc0000db320 pc=0x1345d48b4
golang.org/x/tools/go/pointer.(*hvn).labelSCC(0xc00018c070, 0xc00000000b)
	/builddir/build/BUILD/tools-ce871d178848e3eea1e8795e5cfb74053dde4bb9/_build/src/golang.org/x/tools/go/pointer/hvn.go:694 +0x31c fp=0xc0000db418 sp=0xc0000db368 pc=0x1345e99dc
golang.org/x/tools/go/pointer.(*hvn).visit(0xc00018c070, 0xc00000000b)
	/builddir/build/BUILD/tools-ce871d178848e3eea1e8795e5cfb74053dde4bb9/_build/src/golang.org/x/tools/go/pointer/hvn.go:640 +0x238 fp=0xc0000db4d0 sp=0xc0000db418 pc=0x1345e9558
golang.org/x/tools/go/pointer.(*analysis).hvn(0xc0001a6000)
	/builddir/build/BUILD/tools-ce871d178848e3eea1e8795e5cfb74053dde4bb9/_build/src/golang.org/x/tools/go/pointer/hvn.go:305 +0x3f8 fp=0xc0000db5f0 sp=0xc0000db4d0 pc=0x1345e84d8
golang.org/x/tools/go/pointer.Analyze(0xc000187220, 0x0, 0x0, 0x0)
	/builddir/build/BUILD/tools-ce871d178848e3eea1e8795e5cfb74053dde4bb9/_build/src/golang.org/x/tools/go/pointer/analysis.go:323 +0x348 fp=0xc0000dbac8 sp=0xc0000db5f0 pc=0x1345dabc8
golang.org/x/tools/cmd/callgraph.doCallgraph(0xc000088dd0, 0x13460df05, 0x3, 0x134617262, 0x1b, 0x0, 0xc000083230, 0x1, 0x1, 0x0, ...)
	/builddir/build/BUILD/tools-ce871d178848e3eea1e8795e5cfb74053dde4bb9/_build/src/golang.org/x/tools/cmd/callgraph/main.go:233 +0x234 fp=0xc0000dbc88 sp=0xc0000dbac8 pc=0x13460a564
golang.org/x/tools/cmd/callgraph.TestCallgraph(0xc0000ee300)
	/builddir/build/BUILD/tools-ce871d178848e3eea1e8795e5cfb74053dde4bb9/_build/src/golang.org/x/tools/cmd/callgraph/main_test.go:61 +0x428 fp=0xc0000dbf70 sp=0xc0000dbc88 pc=0x13460be78
testing.tRunner(0xc0000ee300, 0x1347be1d0)
	/usr/lib/golang/src/testing/testing.go:862 +0xdc fp=0xc0000dbfb0 sp=0xc0000dbf70 pc=0x1344559fc
runtime.goexit()
	/usr/lib/golang/src/runtime/asm_ppc64x.s:856 +0x4 fp=0xc0000dbfb0 sp=0xc0000dbfb0 pc=0x1343c09a4
created by testing.(*T).Run
	/usr/lib/golang/src/testing/testing.go:913 +0x304
goroutine 1 [chan receive]:
testing.(*T).Run(0xc0000ee300, 0x1346109a5, 0xd, 0x1347be1d0, 0x1349c7f00)
	/usr/lib/golang/src/testing/testing.go:914 +0x320
testing.runTests.func1(0xc0000ee200)
	/usr/lib/golang/src/testing/testing.go:1154 +0x8c
testing.tRunner(0xc0000ee200, 0xc0000dfdd8)
	/usr/lib/golang/src/testing/testing.go:862 +0xdc
testing.runTests(0xc00009c3e0, 0x1349c0c60, 0x1, 0x1, 0x0)
	/usr/lib/golang/src/testing/testing.go:1152 +0x2a0
testing.(*M).Run(0xc0000c6400, 0x0)
	/usr/lib/golang/src/testing/testing.go:1069 +0x174
main.main()
	_testmain.go:42 +0x150
exit status 2
FAIL	golang.org/x/tools/cmd/callgraph	0.013s

Comment 5 Elliott Sales de Andrade 2019-02-17 08:25:52 UTC
Maybe it's time for a new snapshot? https://github.com/golang/tools/compare/ce871d1..master

> Showing 650 changed files with 70,985 additions and 20,719 deletions.

Comment 6 Robert-André Mauchin 2019-02-20 23:04:08 UTC
I had to do an update of this package for another FTBFS.

Comment 7 Jakub Čajka 2019-02-28 09:35:55 UTC
(In reply to Robert-André Mauchin from comment #6)
> I had to do an update of this package for another FTBFS.

Fyi this is not fixed as part of BZ#1680040.

The crash is still present on ppc64le, aarch64 and s390x, although it doesn't break the build. Whatever macros the package is using/defining it is eating away the error, true exit code(IMHO really serious bug). Reopening.

+ go-rpm-integration check -i golang.org/x/tools -p /builddir/build/BUILDROOT/golang-googlecode-tools-0-26.20190219git9394956.fc31.s390x -g /usr/share/gocode -b /builddir/build/BUILD/tools-9394956cfdc50651347ab69dbde09af8a8e24776/_build -d go/gcimporter15 -r '.*example.*'
Testing: golang.org/x/tools
BUILDSTDERR: panic: runtime error: invalid memory address or nil pointer dereference [recovered]
BUILDSTDERR: 	panic: runtime error: invalid memory address or nil pointer dereference
BUILDSTDERR: [signal SIGSEGV: segmentation violation code=0x1 addr=0x0 pc=0x1e97b2]
BUILDSTDERR: goroutine 1 [running]:
BUILDSTDERR: github.com/gofed/symbols-extractor/vendor/github.com/urfave/cli.HandleAction.func1(0xc0000f3950)
BUILDSTDERR: 	/builddir/build/BUILD/symbols-extractor-9f4330a0f4437ca61ba92f9f30e34424c6742ad6/src/github.com/gofed/symbols-extractor/vendor/github.com/urfave/cli/app.go:472 +0x264
BUILDSTDERR: panic(0x5aaa20, 0xa9ec30)
BUILDSTDERR: 	/usr/lib/golang/src/runtime/panic.go:522 +0x1e0
BUILDSTDERR: github.com/gofed/symbols-extractor/pkg/util/internal/load.ImportPaths(0xc0002368a0, 0x1, 0x1, 0x3, 0x3, 0xc0002a8730)
BUILDSTDERR: 	/builddir/build/BUILD/symbols-extractor-9f4330a0f4437ca61ba92f9f30e34424c6742ad6/src/github.com/gofed/symbols-extractor/pkg/util/internal/load/pkg.go:1888 +0x62
BUILDSTDERR: github.com/gofed/symbols-extractor/pkg/util/internal/load.PackagesAndErrors(0xc0002368a0, 0x1, 0x1, 0x70a520, 0xc00020da20, 0x0)
BUILDSTDERR: 	/builddir/build/BUILD/symbols-extractor-9f4330a0f4437ca61ba92f9f30e34424c6742ad6/src/github.com/gofed/symbols-extractor/pkg/util/internal/load/pkg.go:1839 +0x96
BUILDSTDERR: github.com/gofed/symbols-extractor/pkg/util.ListPackage(0xc0002582f0, 0x12, 0x12, 0x5, 0xa)
BUILDSTDERR: 	/builddir/build/BUILD/symbols-extractor-9f4330a0f4437ca61ba92f9f30e34424c6742ad6/src/github.com/gofed/symbols-extractor/pkg/util/util.go:420 +0x8e
BUILDSTDERR: github.com/gofed/symbols-extractor/pkg/util.(*PackageInfoCollector).CollectPackageInfos.func1(0xc0002582a0, 0x63, 0x70f340, 0xc000241110, 0x0, 0x0, 0x0, 0xc0002582fd)
BUILDSTDERR: 	/builddir/build/BUILD/symbols-extractor-9f4330a0f4437ca61ba92f9f30e34424c6742ad6/src/github.com/gofed/symbols-extractor/pkg/util/util.go:181 +0x78e
BUILDSTDERR: path/filepath.walk(0xc0002582a0, 0x63, 0x70f340, 0xc000241110, 0xc00020da00, 0x0, 0x2)
BUILDSTDERR: 	/usr/lib/golang/src/path/filepath/path.go:367 +0xce
BUILDSTDERR: path/filepath.Walk(0xc0002582a0, 0x63, 0xc00020da00, 0x634af4, 0x1)
BUILDSTDERR: 	/usr/lib/golang/src/path/filepath/path.go:409 +0x128
BUILDSTDERR: github.com/gofed/symbols-extractor/pkg/util.(*PackageInfoCollector).CollectPackageInfos(0xc0001f9e50, 0x3ffcd1ff96a, 0x12, 0x3ffcd1ff96a, 0x12)
BUILDSTDERR: 	/builddir/build/BUILD/symbols-extractor-9f4330a0f4437ca61ba92f9f30e34424c6742ad6/src/github.com/gofed/symbols-extractor/pkg/util/util.go:139 +0x162
BUILDSTDERR: main.main.func1(0xc00027a8c0, 0x0, 0x0)
BUILDSTDERR: 	/builddir/build/BUILD/symbols-extractor-9f4330a0f4437ca61ba92f9f30e34424c6742ad6/src/github.com/gofed/symbols-extractor/cmd/golist/golist.go:73 +0x6a6
BUILDSTDERR: reflect.Value.call(0x58e2a0, 0x65bf68, 0x13, 0x63554e, 0x4, 0xc0000f38f8, 0x1, 0x1, 0xc0000a6200, 0x523dac, ...)
BUILDSTDERR: 	/usr/lib/golang/src/reflect/value.go:447 +0x4ce
BUILDSTDERR: reflect.Value.Call(0x58e2a0, 0x65bf68, 0x13, 0xc0000f38f8, 0x1, 0x1, 0x1, 0x634ad8, 0x1)
BUILDSTDERR: 	/usr/lib/golang/src/reflect/value.go:308 +0x90
BUILDSTDERR: github.com/gofed/symbols-extractor/vendor/github.com/urfave/cli.HandleAction(0x58e2a0, 0x65bf68, 0xc00027a8c0, 0x0, 0x0)
BUILDSTDERR: 	/builddir/build/BUILD/symbols-extractor-9f4330a0f4437ca61ba92f9f30e34424c6742ad6/src/github.com/gofed/symbols-extractor/vendor/github.com/urfave/cli/app.go:481 +0x20a
BUILDSTDERR: github.com/gofed/symbols-extractor/vendor/github.com/urfave/cli.(*App).Run(0xc000081080, 0xc0000a8000, 0x9, 0x9, 0x0, 0x0)
BUILDSTDERR: 	/builddir/build/BUILD/symbols-extractor-9f4330a0f4437ca61ba92f9f30e34424c6742ad6/src/github.com/gofed/symbols-extractor/vendor/github.com/urfave/cli/app.go:240 +0x478
BUILDSTDERR: main.main()
BUILDSTDERR: 	/builddir/build/BUILD/symbols-extractor-9f4330a0f4437ca61ba92f9f30e34424c6742ad6/src/github.com/gofed/symbols-extractor/cmd/golist/golist.go:125 +0x548
+ exit 0

What macros is used and where it is documented?

Comment 8 Elliott Sales de Andrade 2019-02-28 09:56:54 UTC
That's just https://pagure.io/golist/issue/7 as usual.

Comment 9 Zbigniew Jędrzejewski-Szmek 2019-03-03 15:13:19 UTC
A build was successfull: golang-googlecode-tools-0-26.20190219git9394956.fc30 [1].
Closing the bug.

[1] https://koji.fedoraproject.org/koji/buildinfo?buildID=1213786


Note You need to log in before you can comment on or make changes to this bug.